#ifndef RESSOURCE_H
#define RESSOURCE_H

#include <string>
#include <iostream>

class Ressource {
private:
    std::string name_m;
    int pph_m;

public:
    // Constructors
    Ressource();
    Ressource(const std::string& name, int value);

    // Getters
    std::string getName() const;
    int getValue() const;

    // Print function
    void printRessource() const;
};

// Operator overload for printing Ressource
std::ostream& operator<<(std::ostream& os, const Ressource& ressource);

#endif // RESSOURCE_H
